using UnityEngine;
using System.Collections.Generic;

public class SplatterDrop : MonoBehaviour 
{

    public List<Transform> SplatterPrefabs;
    public int DropCount = 6;

	void Start () 
    {
        for (int i = 0; i < DropCount; i++)
            DropSplat();

        GameObject.Destroy(gameObject);
	}
	
    private void DropSplat()
    {
        Transform prefab = ListHelper.DrawFromAtRandom(SplatterPrefabs);
        if (prefab == null)
            return;

        Transform splat = GameObject.Instantiate(prefab);
        splat.position = transform.position;
    }
}
